| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NTuple::Array< TYP > Class Template Reference

Class acting as a smart pointer holding a N tuple _Item. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::Array< TYP >:
[legend]
Collaboration diagram for NTuple::Array< TYP >:
[legend]

## Public Member Functions
| Array ()=default
| Standard Constructor. More...
template<class T >
Array & | operator= (const Array< T > &copy)
| Assignment operator. More...
template<class T >
TYP & | operator[] (const T i)
| Array operator. More...
template<class T >
const TYP & | operator[] (const T i) const
| Array operator. More...
TYP * | begin ()
TYP * | end ()
| ~Array () override=default
Public Member Functions inherited from NTuple::_Accessor< _Array< TYP > >
| _Accessor ()=default
| Standard Constructor. More...
virtual | ~_Accessor ()=default
| Standard Destructor. More...
bool | operator! () const
| Check if column is present. More...
| operator const void * () const
| Check if column is present. More...
_Array< TYP > * | operator-> ()
| Dereference operator. More...
const _Array< TYP > * | operator-> () const
| Dereference operator (CONST) More...
const Range< _Array< TYP > > & | range () const
| Access the range. More...

## Additional Inherited Members
Protected Attributes inherited from NTuple::_Accessor< _Array< TYP > >
_Array< TYP > * | m_ptr
| Pointer to instance. More...

## Detailed Description

### template<class TYP>
class NTuple::Array< TYP >

Class acting as a smart pointer holding a N tuple _Item.

Definition at line 51 of file NTuple.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Array< TYP >::Array | ( |  | ) |
| default

Standard Constructor.

template<class TYP>

NTuple::Array< TYP >::~Array | ( |  | ) |
| override default

## Member Function Documentation

template<class TYP>

TYP* NTuple::Array< TYP >::begin | ( |  | ) |
| inline

Definition at line 370 of file NTuple.h.

370 { return this->m_ptr->begin(); }
NTuple::_Accessor< _Array< TYP > >::m_ptr
_Array< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>

TYP* NTuple::Array< TYP >::end | ( |  | ) |
| inline

Definition at line 371 of file NTuple.h.

371 { return this->m_ptr->end(); }
NTuple::_Accessor< _Array< TYP > >::m_ptr
_Array< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>
template<class T >

Array& NTuple::Array< TYP >::operator= | ( | const Array< T > & | copy | ) |
| inline

Assignment operator.

Definition at line 352 of file NTuple.h.

353 {
354 *( this->m_ptr ) = *( copy.operator->() );
355 return *this;
356 }
std::copy
T copy(T...args)
NTuple::_Accessor< _Array< TYP > >::m_ptr
_Array< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>
template<class T >

TYP& NTuple::Array< TYP >::operator[] | ( | const T | i | ) |
| inline

Array operator.

Definition at line 359 of file NTuple.h.

360 {
361 return this->m_ptr->data( i );
362 }
NTuple::_Accessor< _Array< TYP > >::m_ptr
_Array< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>
template<class T >

const TYP& NTuple::Array< TYP >::operator[] | ( | const T | i | ) | const
| inline

Array operator.

Definition at line 365 of file NTuple.h.

366 {
367 return this->m_ptr->data( i );
368 }
NTuple::_Accessor< _Array< TYP > >::m_ptr
_Array< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h